Last modified: 2013-04-22 16:16:52 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 42461 - No database class but LoadBalancer.php:741 has $conn = new Database
No database class but LoadBalancer.php:741 has $conn = new Database
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Database (Other open bugs)
1.21.x
All All
: High normal (vote)
: ---
Assigned To: Platonides
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2012-11-26 21:52 UTC by Platonides
Modified: 2013-04-22 16:16 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Platonides 2012-11-26 21:52:52 UTC
We don't have a class called Database, but on line 741 of LoadBalancer we have:
	$conn = new Database;

Admittedly, just to pass it to DBConnectionError constructor:
	throw new DBConnectionError( $conn, $this->mLastError );

but it won't reach there since it will generate a fatal first.
Comment 1 Platonides 2013-01-26 15:41:42 UTC
Fix in changeset 45941
Comment 2 Platonides 2013-01-26 15:41:58 UTC
Gerrit change #45941
Comment 3 db [inactive,noenotif] 2013-03-26 20:31:50 UTC
(In reply to comment #2)
> Gerrit change #45941

Status Merged

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links